ServerEvents.recipes(event => {
    event.remove({id: 'thermal:tools/wrench'})
    event.remove({id: 'thermal:machine_frame'})
    event.remove({id: 'thermal:rf_coil'})
    event.remove({id: 'thermal:augments/upgrade_augment_1'})
    event.remove({id: 'thermal:augments/upgrade_augment_2'})
    event.remove({id: 'thermal:augments/upgrade_augment_3'})
    event.remove({id: 'thermalendergy:endergy_upgrade_1'})
    event.remove({id: 'thermal:fire_charge/obsidian_glass_2'})
    event.remove({id: 'thermal:fire_charge/signalum_glass_2'})
    event.remove({id: 'thermal:fire_charge/lumium_glass_2'})
    event.remove({id: 'thermal:fire_charge/enderium_glass_2'})
})

ServerEvents.recipes(event => {
    //Crescent Hammer
    event.shaped('thermal:wrench',
        ['1 1',' 2 ',' 1 '], {
        1: '#forge:ingots/steel',
        2: '#forge:gears/brass'
    }).id('thermal:wrench')

    //Redstone Flux Coil
    event.shaped('thermal:rf_coil',
        ['  1',' 2 ','1  '], {
        1: 'naturesaura:tainted_gold',
        2: 'create:polished_rose_quartz'
    }).id('thermal:rf_coil')

    //Hardened Integral Components
    event.shaped('thermal:upgrade_augment_1',
    ['121','343','121'], {
    1: 'naturesaura:infused_iron',
    2: '#forge:glass',
    3: 'minecraft:redstone',
    4: '#forge:gears/lumium'
    }).id('thermal:upgrade_augment_1')

    //Reinforced Integral Components
    event.shaped('thermal:upgrade_augment_2',
    ['121','343','121'], {
    1: 'naturesaura:tainted_gold',
    2: '#forge:gems/quartz',
    3: '#forge:gears/signalum',
    4: 'thermal:upgrade_augment_1'
    }).id('thermal:upgrade_augment_2')

    //Resonant Integral Components
    event.shaped('thermal:upgrade_augment_3',
    ['121','343','121'], {
    1: 'naturesaura:sky_ingot',
    2: '#thermal:glass/hardened',
    3: '#forge:gears/enderium',
    4: 'thermal:upgrade_augment_2'
    }).id('thermal:upgrade_augment_3')

    //Pristine Integral Components
    event.shaped('thermalendergy:endergy_upgrade_1',
    ['121','343','121'], {
    1: 'thermalendergy:prismalium_ingot',
    2: 'minecraft:ender_eye',
    3: '#forge:gears/enderium',
    4: 'thermal_extra:upgrade_augment'
    }).id('thermalendergy:endergy_upgrade_1')
    
    //Machine Frame
	event.recipes.occultism.ritual(
		'thermal:machine_frame',
		[
            "#forge:ingots/end_steel",
            "#forge:sheetmetals/iron",
            "#forge:sheetmetals/steel",
            "#forge:sheetmetals/steel",
            "#forge:ingots/end_steel",
            "#forge:sheetmetals/iron",
            "#forge:ingots/end_steel",
            "#forge:sheetmetals/iron",
            "#forge:sheetmetals/steel",
            "#forge:sheetmetals/steel",
            "#forge:ingots/end_steel",
            "#forge:sheetmetals/iron",
		],
		'industrialforegoing:machine_frame_supreme',
		'occultism:craft_djinni'
	).duration("40").id('thermal:machine_frame')

  //Diamond Gear -> Allthemodium Gear
  event.replaceInput(
    { mod: 'thermal' }, // Arg 1: the filter
    '#forge:gears/diamond',            // Arg 2: the item to replace
    '#forge:gears/steel'         // Arg 3: the item to replace it with
  ) 

  //Separator Tin -> HOP Graphite
  event.replaceInput(
    { id: 'thermal:machine_centrifuge' }, // Arg 1: the filter
    '#forge:ingots/tin',            // Arg 2: the item to replace
    '#forge:ingots/hop_graphite'         // Arg 3: the item to replace it with
  ) 

  //Thermal Die -> IE Gear Mold
  event.replaceInput(
    { type: 'thermal:machines/press' }, // Arg 1: the filter
    'thermal:press_gear_die',            // Arg 2: the item to replace
    'immersiveengineering:mold_gear'         // Arg 3: the item to replace it with
  ) 

  //Rose Gold Ingot - Alloy Smelter
  event.custom({
    "type": "enderio:alloy_smelting",
    "energy": 3200,
    "experience": 0.3,
    "inputs": [
      {
        "count": 3,
        "ingredient": {
          "tag": "forge:ingots/copper"
        }
      },
      {
        "count": 1,
        "ingredient": {
          "tag": "forge:ingots/gold"
        }
      }
    ],
    "result": {
      "count": 4,
      "tag": "forge:ingots/rose_gold"
    }
  })
})